View Issue Details

IDProjectCategoryView StatusLast Update
0003296SymmetricDSImprovementpublic2017-11-06 08:13
ReportermmichalekAssigned Tommichalek 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.8.0 
Target Version3.8.31Fixed in Version3.8.31 
Summary0003296: Routing should use a dirtySqlTemplate for getReadyChannels()
DescriptionDuring the routing process, the results of getReadyChannels() do not need to be super-precise. Reduce locking contention on sym_data by changing this part of the process to use a dirty connection. This came up in a production use case where this this query is sporadically timing out.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.8 3f28e4e8

2017-10-31 10:29:17

mmichalek

Details Diff
0003296: Routing should use a dirtySqlTemplate for getReadyChannels()
0003296
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/RouterService.java Diff File

Issue History

Date Modified Username Field Change
2017-10-31 10:27 mmichalek New Issue
2017-10-31 10:27 mmichalek Status new => assigned
2017-10-31 10:27 mmichalek Assigned To => mmichalek
2017-10-31 10:29 mmichalek Description Updated View Revisions
2017-10-31 11:00 mmichalek Changeset attached => SymmetricDS 3.8 3f28e4e8
2017-11-05 09:37 chenson Status assigned => resolved
2017-11-05 09:37 chenson Resolution open => fixed
2017-11-05 09:37 chenson Fixed in Version => 3.8.31
2017-11-06 08:13 chenson Status resolved => closed